/*
 * Design: ECE 274 - Skeleton Module for Button Debouncer 
 * Note: This skeleton file does not debounce the button input
 */
 
`timescale 1ns / 1ns
module Debouncer(Clk, Rst, ButtonIn, Debounced);

   input Clk, Rst;
   input ButtonIn;
   output reg Debounced;
      
   always @(ButtonIn) begin
      Debounced <= ButtonIn;
   end	
endmodule
